; fdm83.plt - reproduce figs. from MOH83

head=no : clip=y : pltyp=line : sizfac=3.5 : yhor=y : ticdir=in
xlen=4 : ylen=3
xmin=0 : xmax=1 : xint=5.2 : xfmt=f.1
xdat=$1 : zdat=0 : select=

; basilar membrane impedance
tlab=impedance
xllc=1 : p=2*3.1415927

newframe
yllc=4.5 : xanskp=-1 : xlab=
ymin=-2000 : ymax=2000 : yint=4.2 : yanskp=0 : yper=100
ylab=real 
ydat=(10^(-$6/20))*cos(-p*$7)
ydat=$6
include fdm83_0.dat
plot
include fdm83_1.dat
plot
include fdm83_2.dat
plot
include fdm83_3.dat
plot
include fdm83_4.dat
plot
include fdm83_5.dat
plot
include fdm83_6.dat
plot

newframe
tlab=
yllc=1.0 : xanskp=0 : xlab=distance from stapes (x/L)
ymin=-2000 : ymax=2000 : yint=4.2 : yanskp=0 : yper=100
ylab=imag 
ydat=(10^(-$6/20))*sin(-p*$7)
ydat=$7
include fdm83_0.dat
plot
include fdm83_1.dat
plot
include fdm83_2.dat
plot
include fdm83_3.dat
plot
include fdm83_4.dat
plot
include fdm83_5.dat
plot
include fdm83_6.dat
plot

; basilar membrane displacement
tlab=displacement
xllc=6

newframe
yllc=4.5 : xanskp=-1 : xlab=
ymin=-20 : ymax=60 : yint=8 : yanskp=1 : yper=80
ylab=magnitude (dB)
ydat=$4
include fdm83_0.dat
plot
include fdm83_1.dat
plot
include fdm83_2.dat
plot
include fdm83_3.dat
plot
include fdm83_4.dat
plot
include fdm83_5.dat
plot
include fdm83_6.dat
plot

newframe
tlab=
yllc=1.0 : xanskp=0 : xlab=distance from stapes (x/L)
ymin=-14 : ymax=0 : yint=14 : yanskp=1 : yper=100
ylab=phase (cycles)
ydat=$5
include fdm83_0.dat
plot
include fdm83_1.dat
plot
include fdm83_2.dat
plot
include fdm83_3.dat
plot
include fdm83_4.dat
plot
include fdm83_5.dat
plot
include fdm83_6.dat
plot

